EnderDashEnderDash

Create Console Command Bookmark

Create Console Command Bookmark. This POST operation is exposed from the servers router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.

POST
/servers.createConsoleCommandBookmark

Create Console Command Bookmark. This POST operation is exposed from the servers router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.

Authorization

better-auth.session_token<token>

Signed-in EnderDash browser session cookie.

In: cookie

Request Body

application/json

Serialized tRPC procedure input for this mutation. Responses use the standard tRPC HTTP result envelope.

TypeScript Definitions

Use the request body type in TypeScript.

organizationId*string
command*string
name*string
description?string|null

Response Body

application/json

application/json

curl -X POST "https://example.com/servers.createConsoleCommandBookmark" \  -H "Content-Type: application/json" \  -d '{    "organizationId": "string",    "command": "string",    "name": "string"  }'
{  "result": {    "data": {      "description": "string",      "id": "string",      "name": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "organizationId": "string",      "createdByMemberId": "string",      "position": 0,      "command": "string"    }  }}